/*
 * IRremote: IRrecvDemo - demonstrates receiving IR codes with IRrecv
 * An IR detector/demodulator must be connected to the input RECV_PIN.
 * Version 0.1 July, 2009
 * Copyright 2009 Ken Shirriff
 * http://arcfn.com
 */

#include <IRremote.h>

const int LED = 13;
int RECV_PIN = 11;

IRrecv irrecv(RECV_PIN);

decode_results results;

void setup()
{
  Serial.begin(9600);
  Serial.println("Enabling IRin");
  irrecv.enableIRIn(); // Start the receiver
  Serial.println("Enabled IRin");
  pinMode(LED,OUTPUT);
}

void loop() {
  if (irrecv.decode(&results)) {
    Serial.println(results.value, HEX);
    if(((results.value >> 8) & 0x00ff) == 0x30){
      Serial.println("ON");
      digitalWrite(LED,HIGH);
    }else if(((results.value >> 8) & 0x00ff) == 0x18){
      Serial.println("OFF");
      digitalWrite(LED,LOW);
    }
    irrecv.resume(); // Receive the next value
  }
  
 
  delay(100);
}
